Subject: ManualPlacement w/Xinerama

From: "Tony J. White" <[email-masked]>
Date: Tue, 27 Nov 2001 12:27:50 -0600 (CST)

Manual Placement wasn't working right for me with Xinerama.  On Screen 0
(left) the rubber band of a new window would be correctly placed under
my mouse cursor.  On Screen 1, the rubber band of a new window would be
placed on the next Desk to the right of Screen 1 (a.k.a off by one Screen).

I fixed the problem by changing line 822 of placment.c from:

FScreenGetScrRect(NULL, FSCREEN_CURRENT, &mx, &my, NULL, NULL);

to

FScreenGetScrRect(NULL, FSCREEN_GLOBAL, &mx, &my, NULL, NULL);

I haven't noticed any side effects yet, so possibly that's the way it was
meant to be.

-Tony

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]